package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * MemUsage
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class MemUsage   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("memUsage")
  private Integer memUsage;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("type")
  private String type;

  public MemUsage name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device name
   * @return name
  */
  @ApiModelProperty(value = "Device name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public MemUsage mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public MemUsage memUsage(Integer memUsage) {
    this.memUsage = memUsage;
    return this;
  }

  /**
   * Device memory usage such as 60 : 60%
   * @return memUsage
  */
  @ApiModelProperty(value = "Device memory usage such as 60 : 60%")


  public Integer getMemUsage() {
    return memUsage;
  }

  public void setMemUsage(Integer memUsage) {
    this.memUsage = memUsage;
  }

  public MemUsage model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model
   * @return model
  */
  @ApiModelProperty(value = "Device model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public MemUsage modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Device model version
   * @return modelVersion
  */
  @ApiModelProperty(value = "Device model version")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public MemUsage type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Device type
   * @return type
  */
  @ApiModelProperty(value = "Device type")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MemUsage memUsage = (MemUsage) o;
    return Objects.equals(this.name, memUsage.name) &&
        Objects.equals(this.mac, memUsage.mac) &&
        Objects.equals(this.memUsage, memUsage.memUsage) &&
        Objects.equals(this.model, memUsage.model) &&
        Objects.equals(this.modelVersion, memUsage.modelVersion) &&
        Objects.equals(this.type, memUsage.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac, memUsage, model, modelVersion, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MemUsage {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    memUsage: ").append(toIndentedString(memUsage)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

